Page MenuHomePhabricator

APFloat: Fix signalling nans for scalbn
ClosedPublic

Authored by arsenm on Mar 21 2016, 10:00 AM.

Details

Reviewers
gottesmm
scanon

Diff Detail

Event Timeline

arsenm updated this revision to Diff 51183.Mar 21 2016, 10:00 AM
arsenm retitled this revision from to APFloat: Fix signalling nans for scalbn.
arsenm updated this object.
arsenm added a reviewer: scanon.
arsenm added a subscriber: llvm-commits.
scanon added inline comments.Mar 21 2016, 10:02 AM
lib/Support/APFloat.cpp
3987

Long-term, it is likely better to have normalize quiet SNaN. Can you give that approach a try and see how much short-term fallout there would be? If it's too much of a mess, we can use your current approach instead.

arsenm added inline comments.Mar 22 2016, 10:11 AM
lib/Support/APFloat.cpp
3987

I tried doing this and expected the other places that do the same thing would happen to work out, but I get some APFloatTest failures. It's quite likely I added this to normalize incorrectly though

scanon accepted this revision.Mar 22 2016, 10:19 AM
scanon edited edge metadata.

OK. Let's take this in as is, then, and someone can look at normalize( ) when they have time.

This revision is now accepted and ready to land.Mar 22 2016, 10:19 AM
arsenm closed this revision.Mar 23 2016, 4:57 PM

r264219